Project

General

Profile

Bug #2129

[acpi_call] Rebuild on kernel upgrade?

Added by dllud 12 days ago. Updated 11 days ago.

Status:
info needed
Priority:
bug
Assignee:
% Done:

0%


Description

Both acpi_call and acpi_call-lts are now incompatible with the current linux-libre and linux-libre-lts kernels.

I get the following message on dmesg when trying to load the acpi_call module with both insmod or modprobe:

acpi_call: disagrees about version of symbol module_layout

acpi_call-dkms builds successfully for both kernels and produces a working module.

There should be some sort of hook on your build system to rebuild these two packages when the kernel is upgraded.


Related issues

Related to Packages - Bug #2130: [tp_smapi] thinkpad_ec: disagrees about version of symbol module_layoutinfo needed

History

#1 Updated by bill-auger 12 days ago

  • Related to Bug #2130: [tp_smapi] thinkpad_ec: disagrees about version of symbol module_layout added

#2 Updated by bill-auger 12 days ago

  • Subject changed from [acpi_call] Rebuild on kernel upgrade: disagrees about version of symbol module_layout to [acpi_call] Rebuild on kernel upgrade?

#3 Updated by bill-auger 12 days ago

  • Assignee set to Megver83

what do you think, megver?

#4 Updated by Megver83 11 days ago

  • Status changed from open to info needed

Also available in: Atom PDF